# TdApi.ChatInviteLink

Package it.ernytech.tdlib

## Class TdApi.ChatInviteLink

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatInviteLink

Enclosing class:
  TdApi

    public static class TdApi.ChatInviteLink
    extends TdApi.Object

Contains a chat invite link.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `inviteLink` Chat invite link.

### Constructor Summary

Constructors
`ChatInviteLink()` Default constructor.
`ChatInviteLink​(java.lang.String inviteLink)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### inviteLink

    public java.lang.String inviteLink

Chat invite link.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatInviteLink

    public ChatInviteLink()

Default constructor.

#### ChatInviteLink

    public ChatInviteLink​(java.lang.String inviteLink)

Constructor for initialization of all fields.

Parameters:
  `inviteLink` - Chat invite link.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR